#include<bits/stdc++.h>
using namespace std;
int main(){
	freopen("query.in","r",stdin);
	freopen("query.out","w",stdout);
	long long n;
	cin>>n;
	for(int i=1;i<=n-1;i++){
		long long u,v;
		cin>>u>>v;
	}
	long long q;
	cin>>q;
	for(int i=1;i<=q;i++){
		cout<<1<<endl;
	}
	return 0;
}
